hwlocality_components_filtering(3)

NAME
hwlocality_components_filtering - Components and Plugins: Filtering objects

SYNOPSIS

  Functions
int hwloc_filter_check_pcidev_subtype_important (unsigned classid)
int hwloc_filter_check_osdev_subtype_important (hwloc_obj_osdev_type_t subtype)
int hwloc_filter_check_keep_object_type (hwloc_topology_t topology, hwloc_obj_type_t type)
int hwloc_filter_check_keep_object (hwloc_topology_t topology, hwloc_obj_t obj)

Detailed Description

Note
    These structures and functions may change when HWLOC_COMPONENT_ABI is modified.

Function Documentation

  int hwloc_filter_check_keep_object (hwloc_topology_t topology, hwloc_obj_t obj) [inline]

Check whether the given object should be filtered-out.

Returns
    1 if the object type should be kept, 0 otherwise.

  int hwloc_filter_check_keep_object_type (hwloc_topology_t topology, hwloc_obj_type_t type) [inline]

Check whether a non-I/O object type should be filtered-out. Cannot be used for I/O objects.

Returns
    1 if the object type should be kept, 0 otherwise.

  int hwloc_filter_check_osdev_subtype_important (hwloc_obj_osdev_type_t subtype) [inline]

Check whether the given OS device subtype is important.

Returns
    1 if important, 0 otherwise.

  int hwloc_filter_check_pcidev_subtype_important (unsigned classid) [inline]

Check whether the given PCI device classid is important.

Returns
    1 if important, 0 otherwise.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.